import junit.framework.*;
import java.util.BitSet;

public class Kontroll extends TestCase{
	public Kontroll(){
	}
	/*
	 * Korjab tekstist välja erimärgid
	 */
	static String asenda(String sisse){	
	if(sisse==null){return null;}
    	StringBuffer valja=new StringBuffer();
     	for(int i=0; i<sisse.length(); i++){
       		char c=sisse.charAt(i);
       		switch(c){
         		case '<': valja.append("&lt;"); break;
         		case '>': valja.append("&gt;"); break;
         		case '&': valja.append("&amp;"); break;
         		case '"': valja.append("&quot;"); break;         		
         		default: valja.append(c);
       		}
     	}
     return valja.toString();
	}
	/*
	 * Muudab aasta sql-le vastuvõetavamaks
	 */
	static String aasta(String a){
		// formaat 1961-01-01
		if(a.length()!=4){
			a="0000";
			System.out.println("aasta nr on vale pikkusega");
		}else{}
			a+="-00-00";
			//EMaterjal.pw.println(a);
			System.out.println(a);
		
		return a;
	}
	/*
	 * Testid
	 */	 
	public void setUp(){
    	System.out.println("Testi algus ja:");
    	//System.out.println(aasta("1999"));
	}
	public void tearDown(){
	    System.out.println("Testi ots");
	}
	public void testAsenda(){		
		assertEquals("&lt;h1&gt;",asenda("<h1>"));
	}
	public void testAsenda2(){		
		assertEquals("test=&quot;a&amp;b&quot;",asenda("test=\"a&b\""));
	}
	public void testAastaFormaat(){		
		assertEquals("1999-00-00",aasta("1999"));
	}
	public void testAastaFormaatPikkus(){		
		assertEquals(10,aasta("199999999999").length());
	}
	
}